
package net.mcreator.dragonchallenge.block;

import net.minecraft.world.phys.shapes.VoxelShape;
import net.minecraft.world.phys.shapes.Shapes;
import net.minecraft.world.phys.shapes.CollisionContext;
import net.minecraft.world.level.material.FluidState;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.block.SoundType;
import net.minecraft.world.level.block.FallingBlock;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.BlockGetter;
import net.minecraft.world.entity.player.Player;
import net.minecraft.core.BlockPos;

import net.mcreator.dragonchallenge.procedures.GlowasmokaGdyBlokZostalZniszczonyPrzezGraczaProcedure;

import com.mojang.serialization.MapCodec;

public class GlowasmokaBlock extends FallingBlock {
	public static final MapCodec<GlowasmokaBlock> CODEC = simpleCodec(properties -> new GlowasmokaBlock());

	public MapCodec<GlowasmokaBlock> codec() {
		return CODEC;
	}

	public GlowasmokaBlock() {
		super(BlockBehaviour.Properties.of().sound(SoundType.FROGLIGHT).strength(1f, 10f).noOcclusion().isRedstoneConductor((bs, br, bp) -> false));
	}

	@Override
	public boolean propagatesSkylightDown(BlockState state, BlockGetter reader, BlockPos pos) {
		return true;
	}

	@Override
	public int getLightBlock(BlockState state, BlockGetter worldIn, BlockPos pos) {
		return 0;
	}

	@Override
	public VoxelShape getVisualShape(BlockState state, BlockGetter world, BlockPos pos, CollisionContext context) {
		return Shapes.empty();
	}

	@Override
	public VoxelShape getShape(BlockState state, BlockGetter world, BlockPos pos, CollisionContext context) {
		return Shapes.or(box(3, 0.38268, 3.92388, 13, 8.38268, 12.92388), box(4, 1.38268, -3.07612, 12, 4.38268, 3.92388));
	}

	@Override
	public boolean onDestroyedByPlayer(BlockState blockstate, Level world, BlockPos pos, Player entity, boolean willHarvest, FluidState fluid) {
		boolean retval = super.onDestroyedByPlayer(blockstate, world, pos, entity, willHarvest, fluid);
		GlowasmokaGdyBlokZostalZniszczonyPrzezGraczaProcedure.execute(world, pos.getX(), pos.getY(), pos.getZ(), entity);
		return retval;
	}
}
