
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.dragonchallenge.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.neoforge.event.entity.RegisterSpawnPlacementsEvent;
import net.neoforged.neoforge.event.entity.EntityAttributeCreationEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;
import net.minecraft.core.registries.Registries;

import net.mcreator.dragonchallenge.entity.SmokEntity;
import net.mcreator.dragonchallenge.entity.SkulkowysmokEntity;
import net.mcreator.dragonchallenge.entity.RedstonowysmokEntity;
import net.mcreator.dragonchallenge.entity.RedstonepociskEntity;
import net.mcreator.dragonchallenge.entity.PocisksonicznyEntity;
import net.mcreator.dragonchallenge.entity.OgnistakulaEntity;
import net.mcreator.dragonchallenge.entity.LodowysmokEntity;
import net.mcreator.dragonchallenge.entity.KulasnieguEntity;
import net.mcreator.dragonchallenge.entity.KulaogniaEntity;
import net.mcreator.dragonchallenge.entity.DzidapoEntity;
import net.mcreator.dragonchallenge.DragonChallengeMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class DragonChallengeModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(Registries.ENTITY_TYPE, DragonChallengeMod.MODID);
	public static final DeferredHolder<EntityType<?>, EntityType<SmokEntity>> SMOK = register("smok",
			EntityType.Builder.<SmokEntity>of(SmokEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).fireImmune().sized(4f, 1f));
	public static final DeferredHolder<EntityType<?>, EntityType<KulaogniaEntity>> KULAOGNIA = register("kulaognia",
			EntityType.Builder.<KulaogniaEntity>of(KulaogniaEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final DeferredHolder<EntityType<?>, EntityType<PocisksonicznyEntity>> POCISKSONICZNY = register("pocisksoniczny",
			EntityType.Builder.<PocisksonicznyEntity>of(PocisksonicznyEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final DeferredHolder<EntityType<?>, EntityType<SkulkowysmokEntity>> SKULKOWYSMOK = register("skulkowysmok",
			EntityType.Builder.<SkulkowysmokEntity>of(SkulkowysmokEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3)

					.sized(4f, 1f));
	public static final DeferredHolder<EntityType<?>, EntityType<OgnistakulaEntity>> OGNISTAKULA = register("ognistakula",
			EntityType.Builder.<OgnistakulaEntity>of(OgnistakulaEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final DeferredHolder<EntityType<?>, EntityType<LodowysmokEntity>> LODOWYSMOK = register("lodowysmok",
			EntityType.Builder.<LodowysmokEntity>of(LodowysmokEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3)

					.sized(4f, 1f));
	public static final DeferredHolder<EntityType<?>, EntityType<RedstonepociskEntity>> REDSTONEPOCISK = register("redstonepocisk",
			EntityType.Builder.<RedstonepociskEntity>of(RedstonepociskEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final DeferredHolder<EntityType<?>, EntityType<RedstonowysmokEntity>> REDSTONOWYSMOK = register("redstonowysmok",
			EntityType.Builder.<RedstonowysmokEntity>of(RedstonowysmokEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3)

					.sized(0.6f, 1.8f));
	public static final DeferredHolder<EntityType<?>, EntityType<DzidapoEntity>> DZIDAPO = register("dzidapo",
			EntityType.Builder.<DzidapoEntity>of(DzidapoEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final DeferredHolder<EntityType<?>, EntityType<KulasnieguEntity>> KULASNIEGU = register("kulasniegu",
			EntityType.Builder.<KulasnieguEntity>of(KulasnieguEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));

	// Start of user code block custom entities
	// End of user code block custom entities
	private static <T extends Entity> DeferredHolder<EntityType<?>, EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(RegisterSpawnPlacementsEvent event) {
		SmokEntity.init(event);
		SkulkowysmokEntity.init(event);
		LodowysmokEntity.init(event);
		RedstonowysmokEntity.init(event);
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(SMOK.get(), SmokEntity.createAttributes().build());
		event.put(SKULKOWYSMOK.get(), SkulkowysmokEntity.createAttributes().build());
		event.put(LODOWYSMOK.get(), LodowysmokEntity.createAttributes().build());
		event.put(REDSTONOWYSMOK.get(), RedstonowysmokEntity.createAttributes().build());
	}
}
