
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.dragonchallenge.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.event.BuildCreativeModeTabContentsEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.core.registries.Registries;

import net.mcreator.dragonchallenge.DragonChallengeMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class DragonChallengeModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, DragonChallengeMod.MODID);

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.SPAWN_EGGS) {
			tabData.accept(DragonChallengeModItems.SMOK_SPAWN_EGG.get());
			tabData.accept(DragonChallengeModItems.SKULKOWYSMOK_SPAWN_EGG.get());
			tabData.accept(DragonChallengeModItems.LODOWYSMOK_SPAWN_EGG.get());
			tabData.accept(DragonChallengeModItems.REDSTONOWYSMOK_SPAWN_EGG.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.FUNCTIONAL_BLOCKS) {
			tabData.accept(DragonChallengeModBlocks.SERCEOGNIA.get().asItem());
			tabData.accept(DragonChallengeModBlocks.SKURAOGNIA.get().asItem());
			tabData.accept(DragonChallengeModBlocks.GLOWASMOKA.get().asItem());
			tabData.accept(DragonChallengeModBlocks.SKULKOWASKURA.get().asItem());
			tabData.accept(DragonChallengeModBlocks.ICESKIN.get().asItem());
		} else if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {
			tabData.accept(DragonChallengeModItems.OGNISTY_PICKAXE.get());
			tabData.accept(DragonChallengeModItems.OGNISTY_AXE.get());
			tabData.accept(DragonChallengeModItems.OGNISTY_SHOVEL.get());
			tabData.accept(DragonChallengeModItems.OGNISTY_HOE.get());
			tabData.accept(DragonChallengeModItems.SKULKOWE_PICKAXE.get());
			tabData.accept(DragonChallengeModItems.SKULKOWE_AXE.get());
			tabData.accept(DragonChallengeModItems.SKULKOWE_SHOVEL.get());
			tabData.accept(DragonChallengeModItems.SKULKOWE_HOE.get());
			tabData.accept(DragonChallengeModItems.LODOWE_PICKAXE.get());
			tabData.accept(DragonChallengeModItems.LODOWE_AXE.get());
			tabData.accept(DragonChallengeModItems.LODOWE_SHOVEL.get());
			tabData.accept(DragonChallengeModItems.LODOWE_HOE.get());
			tabData.accept(DragonChallengeModItems.REDSTONOWY_PICKAXE.get());
			tabData.accept(DragonChallengeModItems.REDSTONOWY_AXE.get());
			tabData.accept(DragonChallengeModItems.REDSTONOWY_SHOVEL.get());
			tabData.accept(DragonChallengeModItems.REDSTONOWY_HOE.get());
			tabData.accept(DragonChallengeModItems.KOMPUTER.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.REDSTONE_BLOCKS) {
			tabData.accept(DragonChallengeModBlocks.ZASILACZ.get().asItem());
		} else if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {
			tabData.accept(DragonChallengeModItems.SERCEOGNIAITEM.get());
			tabData.accept(DragonChallengeModItems.KOSCSMOKA.get());
			tabData.accept(DragonChallengeModItems.ICEFANG.get());
			tabData.accept(DragonChallengeModItems.LUSKIOGNIA.get());
			tabData.accept(DragonChallengeModItems.LUSKASKULKOWEGOSMOKA.get());
			tabData.accept(DragonChallengeModItems.LODOWE.get());
			tabData.accept(DragonChallengeModItems.REDSTONOWALUSKA.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {
			tabData.accept(DragonChallengeModItems.PLOMIENNYMIECZ.get());
			tabData.accept(DragonChallengeModItems.OGNISTE_ARMOR_HELMET.get());
			tabData.accept(DragonChallengeModItems.OGNISTE_ARMOR_CHESTPLATE.get());
			tabData.accept(DragonChallengeModItems.OGNISTE_ARMOR_LEGGINGS.get());
			tabData.accept(DragonChallengeModItems.OGNISTE_ARMOR_BOOTS.get());
			tabData.accept(DragonChallengeModBlocks.PLOMIENNETNT.get().asItem());
			tabData.accept(DragonChallengeModItems.PROCASONICZNA.get());
			tabData.accept(DragonChallengeModItems.SKULKOWE_SWORD.get());
			tabData.accept(DragonChallengeModItems.SKULKOWY_ARMOR_HELMET.get());
			tabData.accept(DragonChallengeModItems.SKULKOWY_ARMOR_CHESTPLATE.get());
			tabData.accept(DragonChallengeModItems.SKULKOWY_ARMOR_LEGGINGS.get());
			tabData.accept(DragonChallengeModItems.SKULKOWY_ARMOR_BOOTS.get());
			tabData.accept(DragonChallengeModItems.LODOWE_SWORD.get());
			tabData.accept(DragonChallengeModItems.LODOWE_ARMOR_HELMET.get());
			tabData.accept(DragonChallengeModItems.LODOWE_ARMOR_CHESTPLATE.get());
			tabData.accept(DragonChallengeModItems.LODOWE_ARMOR_LEGGINGS.get());
			tabData.accept(DragonChallengeModItems.LODOWE_ARMOR_BOOTS.get());
			tabData.accept(DragonChallengeModItems.DZIDA.get());
			tabData.accept(DragonChallengeModItems.REDSTONOWY_SWORD.get());
			tabData.accept(DragonChallengeModItems.REDSTONOWY_ARMOR_HELMET.get());
			tabData.accept(DragonChallengeModItems.REDSTONOWY_ARMOR_CHESTPLATE.get());
			tabData.accept(DragonChallengeModItems.REDSTONOWY_ARMOR_LEGGINGS.get());
			tabData.accept(DragonChallengeModItems.REDSTONOWY_ARMOR_BOOTS.get());
			tabData.accept(DragonChallengeModItems.BIGSNOWBALL.get());
		}
	}
}
