// Made with Blockbench 4.11.2
// Exported for Minecraft version 1.17 or later with Mojang mappings
// Paste this class into your mod and generate all required imports

public class ModelCustomModel<T extends Entity> extends EntityModel<T> {
	// This layer location should be baked with EntityRendererProvider.Context in
	// the entity renderer and passed into this model's constructor
	public static final ModelLayerLocation LAYER_LOCATION = new ModelLayerLocation(
			new ResourceLocation("modid", "custommodel"), "main");
	private final ModelPart wszyztko;
	private final ModelPart cialo;
	private final ModelPart glowa;
	private final ModelPart szczeka;
	private final ModelPart leweskrzyldo;
	private final ModelPart leweskrzydlo2;
	private final ModelPart praweskrzydlo;
	private final ModelPart praweskrzyldo2;

	public ModelCustomModel(ModelPart root) {
		this.wszyztko = root.getChild("wszyztko");
		this.cialo = this.wszyztko.getChild("cialo");
		this.glowa = this.wszyztko.getChild("glowa");
		this.szczeka = this.glowa.getChild("szczeka");
		this.leweskrzyldo = this.wszyztko.getChild("leweskrzyldo");
		this.leweskrzydlo2 = this.leweskrzyldo.getChild("leweskrzydlo2");
		this.praweskrzydlo = root.getChild("praweskrzydlo");
		this.praweskrzyldo2 = this.praweskrzydlo.getChild("praweskrzyldo2");
	}

	public static LayerDefinition createBodyLayer() {
		MeshDefinition meshdefinition = new MeshDefinition();
		PartDefinition partdefinition = meshdefinition.getRoot();

		PartDefinition wszyztko = partdefinition.addOrReplaceChild("wszyztko",
				CubeListBuilder.create().texOffs(89, 65)
						.addBox(-4.0F, -6.0F, -39.0F, 8.0F, 6.0F, 20.0F, new CubeDeformation(0.0F)).texOffs(31, 107)
						.addBox(3.0F, 4.0F, 11.0F, 4.0F, 7.0F, 4.0F, new CubeDeformation(0.0F)).texOffs(109, 0)
						.addBox(3.0F, 4.0F, -14.0F, 4.0F, 7.0F, 4.0F, new CubeDeformation(0.0F)).texOffs(109, 12)
						.addBox(-7.0F, 4.0F, -14.0F, 4.0F, 7.0F, 4.0F, new CubeDeformation(0.0F)).texOffs(109, 24)
						.addBox(-7.0F, 4.0F, 11.0F, 4.0F, 7.0F, 4.0F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, 13.0F, 0.0F));

		PartDefinition cialo = wszyztko.addOrReplaceChild("cialo", CubeListBuilder.create().texOffs(0, 0).addBox(-8.0F,
				-6.0F, -19.0F, 16.0F, 10.0F, 38.0F, new CubeDeformation(0.0F)), PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition glowa = wszyztko.addOrReplaceChild("glowa",
				CubeListBuilder.create().texOffs(63, 102)
						.addBox(-5.0F, -5.0F, 1.0F, 10.0F, 8.0F, 9.0F, new CubeDeformation(0.0F)).texOffs(102, 102)
						.addBox(-4.0F, -2.0F, -6.0F, 8.0F, 2.0F, 7.0F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, -2.0F, -49.0F));

		PartDefinition szczeka = glowa.addOrReplaceChild("szczeka", CubeListBuilder.create().texOffs(0, 107).addBox(
				-4.0F, 0.0F, -6.0F, 8.0F, 2.0F, 7.0F, new CubeDeformation(0.0F)), PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition leweskrzyldo = wszyztko.addOrReplaceChild("leweskrzyldo",
				CubeListBuilder.create().texOffs(89, 92)
						.addBox(-1.0F, -2.0F, -3.0F, 29.0F, 2.0F, 2.0F, new CubeDeformation(0.0F)).texOffs(0, 49)
						.addBox(-1.0F, -1.0F, -1.0F, 29.0F, 0.0F, 15.0F, new CubeDeformation(0.0F)),
				PartPose.offset(1.0F, -6.0F, -12.0F));

		PartDefinition leweskrzydlo2 = leweskrzyldo.addOrReplaceChild("leweskrzydlo2",
				CubeListBuilder.create().texOffs(0, 97)
						.addBox(-1.0F, -2.0F, -3.0F, 29.0F, 2.0F, 2.0F, new CubeDeformation(0.0F)).texOffs(89, 49)
						.addBox(-1.0F, -1.0F, -1.0F, 29.0F, 0.0F, 15.0F, new CubeDeformation(0.0F)),
				PartPose.offset(29.0F, 0.0F, 0.0F));

		PartDefinition praweskrzydlo = partdefinition.addOrReplaceChild("praweskrzydlo",
				CubeListBuilder.create().texOffs(0, 102)
						.addBox(-28.0F, -2.0F, -3.0F, 29.0F, 2.0F, 2.0F, new CubeDeformation(0.0F)).texOffs(0, 81)
						.addBox(-28.0F, -1.0F, -1.0F, 29.0F, 0.0F, 15.0F, new CubeDeformation(0.0F)),
				PartPose.offset(-1.0F, 7.0F, -12.0F));

		PartDefinition praweskrzyldo2 = praweskrzydlo.addOrReplaceChild("praweskrzyldo2",
				CubeListBuilder.create().texOffs(63, 97)
						.addBox(-28.0F, -2.0F, -3.0F, 29.0F, 2.0F, 2.0F, new CubeDeformation(0.0F)).texOffs(0, 65)
						.addBox(-28.0F, -1.0F, -1.0F, 29.0F, 0.0F, 15.0F, new CubeDeformation(0.0F)),
				PartPose.offset(-29.0F, 0.0F, 0.0F));

		return LayerDefinition.create(meshdefinition, 256, 256);
	}

	@Override
	public void renderToBuffer(PoseStack poseStack, VertexConsumer vertexConsumer, int packedLight, int packedOverlay,
			float red, float green, float blue, float alpha) {
		wszyztko.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		praweskrzydlo.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
	}

	public void setupAnim(T entity, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw,
			float headPitch) {
		this.glowa.yRot = netHeadYaw / (180F / (float) Math.PI);
		this.glowa.xRot = headPitch / (180F / (float) Math.PI);
	}
}