
package net.mcreator.dragonchallenge.block;

import org.checkerframework.checker.units.qual.s;

import net.minecraft.world.level.material.FluidState;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.block.SoundType;
import net.minecraft.world.level.block.FallingBlock;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.BlockGetter;
import net.minecraft.world.entity.player.Player;
import net.minecraft.core.BlockPos;

import net.mcreator.dragonchallenge.procedures.SerceogniaGdyBlokZostalZniszczonyPrzezGraczaProcedure;

import com.mojang.serialization.MapCodec;

public class SerceogniaBlock extends FallingBlock {
	public static final MapCodec<SerceogniaBlock> CODEC = simpleCodec(properties -> new SerceogniaBlock());

	public MapCodec<SerceogniaBlock> codec() {
		return CODEC;
	}

	public SerceogniaBlock() {
		super(BlockBehaviour.Properties.of().sound(SoundType.FROGLIGHT).strength(1f, 10f).lightLevel(s -> 10).hasPostProcess((bs, br, bp) -> true).emissiveRendering((bs, br, bp) -> true));
	}

	@Override
	public int getLightBlock(BlockState state, BlockGetter worldIn, BlockPos pos) {
		return 15;
	}

	@Override
	public boolean onDestroyedByPlayer(BlockState blockstate, Level world, BlockPos pos, Player entity, boolean willHarvest, FluidState fluid) {
		boolean retval = super.onDestroyedByPlayer(blockstate, world, pos, entity, willHarvest, fluid);
		SerceogniaGdyBlokZostalZniszczonyPrzezGraczaProcedure.execute(world, pos.getX(), pos.getY(), pos.getZ(), entity);
		return retval;
	}
}
