
package net.mcreator.dragonchallenge.block;

import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.block.SoundType;
import net.minecraft.world.level.block.FallingBlock;
import net.minecraft.world.level.BlockGetter;
import net.minecraft.core.BlockPos;

import com.mojang.serialization.MapCodec;

public class SkulkowaskuraBlock extends FallingBlock {
	public static final MapCodec<SkulkowaskuraBlock> CODEC = simpleCodec(properties -> new SkulkowaskuraBlock());

	public MapCodec<SkulkowaskuraBlock> codec() {
		return CODEC;
	}

	public SkulkowaskuraBlock() {
		super(BlockBehaviour.Properties.of().sound(SoundType.FROGLIGHT).strength(1f, 10f));
	}

	@Override
	public int getLightBlock(BlockState state, BlockGetter worldIn, BlockPos pos) {
		return 15;
	}
}
